Subject: Re: bug#71554: 29.3; eshell-command async buffer behavior

From: Christopher Howard <[email-masked]>
Date: Mon, 24 Jun 2024 06:15:57 -0800

If I might weigh in here: in my view it is basically a bug, or something close enough to be treated like one. I want to emphasize the incongruity of being able to run asynchronous commands through eshell-command, but only being able to run one at a time. Assuming, of course, you want to be able to see the output of your commands. I often find myself being forced to use shell-command instead for this reason, but would rather use eshell-command.

I feel a bit passionate about this subject because I like to promote using Emacs as your shell, i.e., interface to the operating system, above depending on the system shell. Perhaps we have "lived with this" for quite some time just because eshell and eshell-command are less utilized than they deserve to be.

-- 
Christopher Howard